<id>
Censor Off for YaBB 2.6.1
</id>

<version>
0.2
</version>

<mod info>
This mod allows the admin to disable censorship on specified boards.

Version History
---------------
0.1 - First release - August 12, 2014
0.2 - 2.6.1 - Sept 2, 2014

Instructions:

Apply the mod and upload (in ASCII mode):

cgi-bin/yabb2/Admin/Modlist.pm
cgi-bin/yabb2/Admin/ManageBoards.pm
cgi-bin/yabb2/Languages/English/Admin.lng
cgi-bin/yabb2/Sources/LivePreview.pm
cgi-bin/yabb2/Sources/Post.pm
cgi-bin/yabb2/Sources/PostBox.pm
</mod info>

<author>
Dandello
</author>

<homepage>
http://www.yabbforumsoftware.com.net/cgi-bin/yabb2/YaBB.pl
</homepage>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
      $censor_off = "Censor Off YaBB 2.6.1|Dandello|Turn off censor for selected boards.|0.2|09/02/2014";
      push @installed_mods, "$censor_off";
</add before>

<edit file>
Admin/ManageBoards.pm
</edit file>

<search for>
        $brdpassw2 = q{};
</search for>

<add after>
        $censorch  = q{};
</add after>

<search for>
        if ( ${ $uid . $id }{'zero'} == 1 ) {
            $zeroch = q~ checked="checked"~;
        }
</search for>

<add after>
        if ( ${ $uid . $id }{'censor_off'} == 1 ) {
            $censorch = q~ checked="checked"~;
        }
</add after>

<search for>
                        <td class="windowbg2"><label for="zero$i"><b>$admin_txt{'64c'}</b></label></td>
                        <td class="windowbg2" colspan="3"><input type="checkbox" name="zero$i" id="zero$i" value="1"$zeroch /> <label for="zero$i">$admin_txt{'64d'}</label></td>
                    </tr><tr>
</search for>

<add after>
                        <td class="windowbg2"><label for="censor_off$i"><b>$admin_txt{'64c1'}</b></label></td>
                        <td class="windowbg2" colspan="3"><input type="checkbox" name="censor_off$i" id="censor_off$i" value="1"$censorch /> <label for="censor_off$i">$admin_txt{'64d1'}</label></td>
                    </tr><tr>
</add after>

<search for>
        if ( $FORM{"zero$i"} eq q{} ) { $FORM{"zero$i"} = 0; }
</search for>

<add after>
        if ( $FORM{"censor_off$i"} eq q{} ) { $FORM{"censor_off$i"} = 0; }
</add after>

<search for>
        );
        ## BRD Mod Hook ##
</search for>

<add before>
            $FORM{"censor_off$i"},
</add before>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
'64c' => 'Zero Post-Count Board?',
</search for>

<add after>
'64c1'=> 'Disable Censor?',
</add after>

<search for>
'64d' => 'If checked, posts in this board will not contribute to a user&#39;s post count.',
</search for>

<add after>
'64d1' => qq~If checked, this will disable censorship for posts in this board. <a href="$boardurl/AdminIndex.$yyaext?action=setcensor">Edit Censored Word list</a></span>~,
</add after>

<edit file>
Sources/LivePreview.pm
</edit file>

<search for>
    $message  = Censor($message);
    $csubject = $FORM{'subject'};
</search for>

<replace>
    if ( $brd != 1 ) { $message = Censor($message);}

    $csubject = $FORM{'subject'};
</replace>


<edit file>
Sources/Load.pm
</edit file>

<search for>
            ## Mod Hook 1 ##
</search for>

<add before>
            $censor_off,
</add before>

<search for>
             ## Mod Hook 2 ##
</search for>

<add before>
            'censor_off'    => $censor_off,
</add before>


<edit file>
Sources/Post.pm
</edit file>

<search for>
        $my_postsection =~ s/{yabb return_to}/$return_to/sm;
</search for>

<add after>
        $my_postsection =~ s/{yabb censor_off}/${ $uid . $currentboard }{'censor_off'}/sm;
</add after>

<search for>
            $message = Censor($message);
</search for>

<replace>
            if ( !${ $uid . $currentboard }{'censor_off'} ) { $message = Censor($message); }
</replace>

<edit file>
Sources/PostBox.pm
</edit file>

<search for>
    var sessvalue = encodeURIComponent(document.postmodify.formsession.value);
</search for>

<add after>
    var brdval = encodeURIComponent(document.getElementById("brd").value);
</add after>

<search for>
    var parameters = "subject="+subjvalue+"&message="+messvalue+"&musername="+tmusername+"&nschecked="+nscheck+"&formsession="+sessvalue+"&guestname="+namevalue;
</search for>

<replace>
    var parameters = "subject="+subjvalue+"&message="+messvalue+"&musername="+tmusername+"&nschecked="+nscheck+"&formsession="+sessvalue+"&guestname="+namevalue+"&brd="+brdval;
</replace>